searchNodes=[{"doc":"UUID generator and utilities for Elixir. See RFC 4122.","ref":"UUID.html","title":"UUID","type":"module"},{"doc":"Convert binary UUID data to a string.Will raise an ArgumentError if the given binary is not valid UUID data, or the format argument is not one of: :default, :hex, :urn, or :raw.Examplesiex&gt; UUID.binary_to_string!(&lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, ...&gt; 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt;) &quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot; iex&gt; UUID.binary_to_string!(&lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, ...&gt; 234, 107, 143, 75, 91, 110, 115&gt;&gt;, :hex) &quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot; iex&gt; UUID.binary_to_string!(&lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, ...&gt; 19, 20, 16, 159, 241, 163, 4&gt;&gt;, :urn) &quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot; iex&gt; UUID.binary_to_string!(&lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, ...&gt; 47, 171, 144, 84, 164, 155, 52&gt;&gt;, :raw) &lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;","ref":"UUID.html#binary_to_string!/2","title":"UUID.binary_to_string!/2","type":"function"},{"doc":"Inspect a UUID and return tuple with {:ok, result}, where result is information about its 128-bit binary content, type, version and variant.Timestamp portion is not checked to see if it's in the future, and therefore not yet assignable. See &quot;Validation mechanism&quot; in section 3 of RFC 4122.Will return {:error, message} if the given string is not a UUID representation in a format like:&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;Examplesiex&gt; UUID.info(&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;) {:ok, [uuid: &quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;, binary: &lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt;, type: :default, version: 4, variant: :rfc4122]} iex&gt; UUID.info(&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;) {:ok, [uuid: &quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;, binary: &lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, 234, 107, 143, 75, 91, 110, 115&gt;&gt;, type: :hex, version: 4, variant: :rfc4122]} iex&gt; UUID.info(&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;) {:ok, [uuid: &quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;, binary: &lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, 19, 20, 16, 159, 241, 163, 4&gt;&gt;, type: :urn, version: 1, variant: :rfc4122]} iex&gt; UUID.info(&lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;) {:ok, [uuid: &lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;, binary: &lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;, type: :raw, version: 4, variant: :rfc4122]} iex&gt; UUID.info(&quot;12345&quot;) {:error, &quot;Invalid argument; Not a valid UUID: 12345&quot;}","ref":"UUID.html#info/1","title":"UUID.info/1","type":"function"},{"doc":"Inspect a UUID and return information about its 128-bit binary content, type, version and variant.Timestamp portion is not checked to see if it's in the future, and therefore not yet assignable. See &quot;Validation mechanism&quot; in section 3 of RFC 4122.Will raise an ArgumentError if the given string is not a UUID representation in a format like:&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;Examplesiex&gt; UUID.info!(&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;) [uuid: &quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;, binary: &lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt;, type: :default, version: 4, variant: :rfc4122] iex&gt; UUID.info!(&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;) [uuid: &quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;, binary: &lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, 234, 107, 143, 75, 91, 110, 115&gt;&gt;, type: :hex, version: 4, variant: :rfc4122] iex&gt; UUID.info!(&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;) [uuid: &quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;, binary: &lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, 19, 20, 16, 159, 241, 163, 4&gt;&gt;, type: :urn, version: 1, variant: :rfc4122] iex&gt; UUID.info!(&lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;) [uuid: &lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;, binary: &lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;, type: :raw, version: 4, variant: :rfc4122]","ref":"UUID.html#info!/1","title":"UUID.info!/1","type":"function"},{"doc":"Convert a UUID string to its binary data equivalent.Will raise an ArgumentError if the given string is not a UUID representation in a format like:&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;Examplesiex&gt; UUID.string_to_binary!(&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;) &lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt; iex&gt; UUID.string_to_binary!(&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;) &lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, 234, 107, 143, 75, 91, 110, 115&gt;&gt; iex&gt; UUID.string_to_binary!(&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;) &lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, 19, 20, 16, 159, 241, 163, 4&gt;&gt; iex&gt; UUID.string_to_binary!(&lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, ...&gt; 171, 144, 84, 164, 155, 52&gt;&gt;) &lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;","ref":"UUID.html#string_to_binary!/1","title":"UUID.string_to_binary!/1","type":"function"},{"doc":"Generate a new UUID v1. This version uses a combination of one or more of: unix epoch, random bytes, pid hash, and hardware address.Examplesiex&gt; UUID.uuid1() &quot;cdfdaf44-ee35-11e3-846b-14109ff1a304&quot; iex&gt; UUID.uuid1(:default) &quot;cdfdaf44-ee35-11e3-846b-14109ff1a304&quot; iex&gt; UUID.uuid1(:hex) &quot;cdfdaf44ee3511e3846b14109ff1a304&quot; iex&gt; UUID.uuid1(:urn) &quot;urn:uuid:cdfdaf44-ee35-11e3-846b-14109ff1a304&quot; iex&gt; UUID.uuid1(:raw) &lt;&lt;205, 253, 175, 68, 238, 53, 17, 227, 132, 107, 20, 16, 159, 241, 163, 4&gt;&gt; iex&gt; UUID.uuid1(:slug) &quot;zf2vRO41EeOEaxQQn_GjBA&quot;","ref":"UUID.html#uuid1/1","title":"UUID.uuid1/1","type":"function"},{"doc":"Generate a new UUID v1, with an existing clock sequence and node address. This version uses a combination of one or more of: unix epoch, random bytes, pid hash, and hardware address.Examplesiex&gt; UUID.uuid1() &quot;cdfdaf44-ee35-11e3-846b-14109ff1a304&quot; iex&gt; UUID.uuid1(:default) &quot;cdfdaf44-ee35-11e3-846b-14109ff1a304&quot; iex&gt; UUID.uuid1(:hex) &quot;cdfdaf44ee3511e3846b14109ff1a304&quot; iex&gt; UUID.uuid1(:urn) &quot;urn:uuid:cdfdaf44-ee35-11e3-846b-14109ff1a304&quot; iex&gt; UUID.uuid1(:raw) &lt;&lt;205, 253, 175, 68, 238, 53, 17, 227, 132, 107, 20, 16, 159, 241, 163, 4&gt;&gt; iex&gt; UUID.uuid1(:slug) &quot;zf2vRO41EeOEaxQQn_GjBA&quot;","ref":"UUID.html#uuid1/3","title":"UUID.uuid1/3","type":"function"},{"doc":"Generate a new UUID v3. This version uses an MD5 hash of fixed value (chosen based on a namespace atom - see Appendix C of RFC 4122 and a name value. Can also be given an existing UUID String instead of a namespace atom.Accepted arguments are: :dns|:url|:oid|:x500|:nil OR uuid, StringExamplesiex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;) &quot;03bf0706-b7e9-33b8-aee5-c6142a816478&quot; iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;, :default) &quot;03bf0706-b7e9-33b8-aee5-c6142a816478&quot; iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;, :hex) &quot;03bf0706b7e933b8aee5c6142a816478&quot; iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;, :urn) &quot;urn:uuid:03bf0706-b7e9-33b8-aee5-c6142a816478&quot; iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;, :raw) &lt;&lt;3, 191, 7, 6, 183, 233, 51, 184, 174, 229, 198, 20, 42, 129, 100, 120&gt;&gt; iex&gt; UUID.uuid3(&quot;cdfdaf44-ee35-11e3-846b-14109ff1a304&quot;, &quot;my.domain.com&quot;) &quot;8808f33a-3e11-3708-919e-15fba88908db&quot; iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;, :slug) &quot;A78HBrfpM7iu5cYUKoFkeA&quot;","ref":"UUID.html#uuid3/3","title":"UUID.uuid3/3","type":"function"},{"doc":"Generate a new UUID v4. This version uses pseudo-random bytes generated by the crypto module.Examplesiex&gt; UUID.uuid4() &quot;fb49a0ec-d60c-4d20-9264-3b4cfe272106&quot; iex&gt; UUID.uuid4(:default) &quot;fb49a0ec-d60c-4d20-9264-3b4cfe272106&quot; iex&gt; UUID.uuid4(:hex) &quot;fb49a0ecd60c4d2092643b4cfe272106&quot; iex&gt; UUID.uuid4(:urn) &quot;urn:uuid:fb49a0ec-d60c-4d20-9264-3b4cfe272106&quot; iex&gt; UUID.uuid4(:raw) &lt;&lt;251, 73, 160, 236, 214, 12, 77, 32, 146, 100, 59, 76, 254, 39, 33, 6&gt;&gt; iex&gt; UUID.uuid4(:slug) &quot;-0mg7NYMTSCSZDtM_ichBg&quot;","ref":"UUID.html#uuid4/0","title":"UUID.uuid4/0","type":"function"},{"doc":"","ref":"UUID.html#uuid4/1","title":"UUID.uuid4/1","type":"function"},{"doc":"Generate a new UUID v5. This version uses an SHA1 hash of fixed value (chosen based on a namespace atom - see Appendix C of RFC 4122 and a name value. Can also be given an existing UUID String instead of a namespace atom.Accepted arguments are: :dns|:url|:oid|:x500|:nil OR uuid, StringExamplesiex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;) &quot;016c25fd-70e0-56fe-9d1a-56e80fa20b82&quot; iex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;, :default) &quot;016c25fd-70e0-56fe-9d1a-56e80fa20b82&quot; iex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;, :hex) &quot;016c25fd70e056fe9d1a56e80fa20b82&quot; iex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;, :urn) &quot;urn:uuid:016c25fd-70e0-56fe-9d1a-56e80fa20b82&quot; iex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;, :raw) &lt;&lt;1, 108, 37, 253, 112, 224, 86, 254, 157, 26, 86, 232, 15, 162, 11, 130&gt;&gt; iex&gt; UUID.uuid5(&quot;fb49a0ec-d60c-4d20-9264-3b4cfe272106&quot;, &quot;my.domain.com&quot;) &quot;822cab19-df58-5eb4-98b5-c96c15c76d32&quot; iex&gt; UUID.uuid5(&quot;fb49a0ec-d60c-4d20-9264-3b4cfe272106&quot;, &quot;my.domain.com&quot;, :slug) &quot;giyrGd9YXrSYtclsFcdtMg&quot;","ref":"UUID.html#uuid5/3","title":"UUID.uuid5/3","type":"function"},{"doc":"Elixir UUID UUID generator and utilities for Elixir. See RFC 4122.Note: Renamed from uuid to elixir_uuid as a solution to package name conflicts. Use elixir_uuid going forward.InstallationThe latest version is 1.2.0 and requires Elixir ~&gt; 1.0. New releases may change this minimum compatible version depending on breaking language changes. The changelog lists every available release and its corresponding language version requirement.Releases are published through hex.pm. Add as a dependency in your mix.exs file:defp deps do [ { :elixir_uuid, &quot;~&gt; 1.2&quot; } ] endUUID v1Generated using a combination of time since the west adopted the gregorian calendar and the node id MAC address.iex&gt; UUID.uuid1() &quot;5976423a-ee35-11e3-8569-14109ff1a304&quot;UUID v3Generated using the MD5 hash of a name and either a namespace atom or an existing UUID. Valid namespaces are: :dns, :url, :oid, :x500, :nil.iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;) &quot;03bf0706-b7e9-33b8-aee5-c6142a816478&quot; iex&gt; UUID.uuid3(&quot;5976423a-ee35-11e3-8569-14109ff1a304&quot;, &quot;my.domain.com&quot;) &quot;0609d667-944c-3c2d-9d09-18af5c58c8fb&quot;UUID v4Generated based on pseudo-random bytes.iex&gt; UUID.uuid4() &quot;fcfe5f21-8a08-4c9a-9f97-29d2fd6a27b9&quot;UUID v5Generated using the SHA1 hash of a name and either a namespace atom or an existing UUID. Valid namespaces are: :dns, :url, :oid, :x500, :nil.iex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;) &quot;016c25fd-70e0-56fe-9d1a-56e80fa20b82&quot; iex&gt; UUID.uuid5(&quot;fcfe5f21-8a08-4c9a-9f97-29d2fd6a27b9&quot;, &quot;my.domain.com&quot;) &quot;b8e85535-761a-586f-9c04-0fb0df2cbe84&quot;FormattingAll UUID generator functions have an optional format parameter as the last argument.Possible values: :default, :hex, :urn. Default value is :default and can be omitted.:default is a standard UUID representation:iex&gt; UUID.uuid1() &quot;3c69679f-774b-4fb1-80c1-7b29c6e7d0a0&quot; iex&gt; UUID.uuid4(:default) &quot;3c69679f-774b-4fb1-80c1-7b29c6e7d0a0&quot; iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;) &quot;03bf0706-b7e9-33b8-aee5-c6142a816478&quot; iex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;, :default) &quot;016c25fd-70e0-56fe-9d1a-56e80fa20b82&quot;:hex is a valid hex string, corresponding to the standard UUID without the - (dash) characters:iex&gt; UUID.uuid4(:hex) &quot;19be859d0c1f4a7f95ddced995037350&quot; iex&gt; UUID.uuid4(:weak, :hex) &quot;ebeff765ddc843e486c287fb668d5d37&quot;:urn is a standard UUID representation prefixed with the UUID URN:iex&gt; UUID.uuid1(:urn) &quot;urn:uuid:b7483bde-ee35-11e3-8daa-14109ff1a304&quot;Utility functionsUse UUID.info/1 and UUID.info!/1 to get a keyword list containing information about the given UUID. UUID.info/1 returns a tuple of {:ok, info} for valid cases or {:error, reason} if the argument is not a UUID string. UUID.info!/1 directly returns the info keyword list when successful or raises an ArgumentError for error cases.iex&gt; UUID.info!(&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;) [uuid: &quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;, binary: &lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt;, type: :default, version: 4, variant: :rfc4122] iex&gt; UUID.info!(&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;) [uuid: &quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;, binary: &lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, 234, 107, 143, 75, 91, 110, 115&gt;&gt;, type: :hex, version: 4, variant: :rfc4122] iex&gt; UUID.info!(&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;) [uuid: &quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;, binary: &lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, 19, 20, 16, 159, 241, 163, 4&gt;&gt;, type: :urn, version: 1, variant: :rfc4122]Use UUID.string_to_binary!/1 to convert a valid UUID string to its raw binary equivalent. An ArgumentError is raised if the argument is not a valid UUID string.iex&gt; UUID.string_to_binary!(&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;) &lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt; iex&gt; UUID.string_to_binary!(&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;) &lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, 234, 107, 143, 75, 91, 110, 115&gt;&gt; iex&gt; UUID.string_to_binary!(&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;) &lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, 19, 20, 16, 159, 241, 163, 4&gt;&gt;Use UUID.binary_to_string!/2 to convert valid UUID binary data to a String representation, with an optional format similar to the generator functions above. An ArgumentError is raised if the argument is not valid UUID binary data.iex&gt; UUID.binary_to_string!(&lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt;) &quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot; iex&gt; UUID.binary_to_string!(&lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, 234, 107, 143, 75, 91, 110, 115&gt;&gt;, :hex) &quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot; iex&gt; UUID.binary_to_string!(&lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, 19, 20, 16, 159, 241, 163, 4&gt;&gt;, :urn) &quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;AttributionSome code ported from avtobiff/erlang-uuid.Some helper functions from rjsamson/hexate.LicenseCopyright 2014-2016 Andrei Mihu Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"readme.html","title":"Elixir UUID","type":"extras"},{"doc":"ChangelogUnreleased changesNone.v1.2.1, 24 Oct 2019, Elixir ~&gt; 1.0[Enhancement] Improve string_to_binary and binary_to_string performance.v1.2.0, 24 Jun 2018, Elixir ~&gt; 1.0[Breaking] Rename application from :uuid to :elixir_uuid to avoid potential collisions with other applications with the same name.v1.1.8, 27 Sep 2017, Elixir ~&gt; 1.0[Fix] Account for unsuitable hardware addresses when selecting UUID v1 node value.v1.1.7, 13 Mar 2017, Elixir ~&gt; 1.0[Enhancement] Add UUID.info/1 counterpart to UUID.info!/1.v1.1.6, 04 Jan 2016, Elixir ~&gt; 1.0[Fix] Update UUID v3 and v5 namespace value formats.v1.1.5, 20 Sep 2016, Elixir ~&gt; 1.0[Internal] Use :crypto.strong_rand_bytes/1 instead of :crypto.rand_bytes/1. The :weak option in UUID.uuid4/1 no longer has any effect.[Fix] Clean up warnings generated by function calls in mix.exs under Elixir 1.4.v1.1.4, 29 May 2016, Elixir ~&gt; 1.0[Internal] Correctly skip any all-0 hardware addresses when generating UUID v1.v1.1.3, 25 Jan 2016, Elixir ~&gt; 1.0[Internal] Fix documentation, and update documentation generator dependencies.v1.1.2, 19 Dec 2015, Elixir ~&gt; 1.0[Internal] Fix piping without parentheses warning for Elixir 1.2.v1.1.1, 14 Nov 2015, Elixir ~&gt; 1.0[Internal] Ensure UUID v1 generator node_id lookup correctly skips network adapters with unsuitable :hwaddr values.[Internal] Simplify UUID v1 clock_seq random generation.v1.1.0, 24 Oct 2015, Elixir ~&gt; 1.0[Enhancement] uuid4 now accepts an additional first argument :strong (default) or :weak, indicating whether to use strong PRNG or not.v1.0.1, 30 May 2015, Elixir ~&gt; 1.0[Internal] Use :os.timestamp/1 instead of :erlang.now/1.v1.0.0, 09 Mar 2015, Elixir ~&gt; 1.0[Internal] Vastly improved binary handling: ~3.5x faster UUID generation and UUID binary to string, ~1.5x faster UUID string to binary.[Breaking] Rename info/1 to info!/1 for consistency with Elixir best practices.[Enhancement] Add binary_to_string!/2 and string_to_binary!/1 utility functions.[Breaking] Bump Elixir version requirement to ~&gt; 1.0.[Internal] Additional tests, integrate repo with Travis CI.v0.1.5, 12 Aug 2014, Elixir &gt;= 0.15.0[Internal] Allow Elixir 0.15.0 and above for convenience.v0.1.4, 10 Aug 2014, Elixir ~&gt; 0.15.0[Internal] Use new Elixir binary matching type declaration format.v0.1.3, 14 Jul 2014, Elixir ~&gt; 0.14.3[Internal] Use new Elixir default parameter declaration format in separate function header.v0.1.2, 01 Jul 2014, Elixir ~&gt; 0.14.2[Enhancement] UUID.info/1 now also returns the binary value of the given UUID.v0.1.1, 14 Jun 2014, Elixir ~&gt; 0.14.0[Enhancement] Added UUID.uuid1/3 which allows optional preset clock_seq and node_id, the last argument is still an optional format atom.v0.1.0, 07 Jun 2014, Elixir == 0.13.3 or ~&gt; 0.14.0-devInitial release.","ref":"changelog.html","title":"Changelog","type":"extras"}]